package com.tmerclub.cloud.order.model;

import java.time.LocalDateTime;

/**
 * 调拨订单商品entity
 * @author gaozijie
 * @date 2023-11-20
 */
public class AllotOrderItem {

    /**
     * 调拨订单商品id
     */
    private Long allotOrderItemId;

    /**
     * 调拨订单id
     */
    private Long allotOrderId;

    /**
     * 商品spuId
     */
    private Long spuId;

    /**
     * 商品skuId
     */
    private Long skuId;

    /**
     * 调拨数量
     */
    private Integer allotCount;

    /**
     * 调拨入库数量
     */
    private Integer allotInCount;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    public AllotOrderItem() {
    }

    public Long getAllotOrderItemId() {
        return allotOrderItemId;
    }

    public void setAllotOrderItemId(Long allotOrderItemId) {
        this.allotOrderItemId = allotOrderItemId;
    }

    public Long getAllotOrderId() {
        return allotOrderId;
    }

    public void setAllotOrderId(Long allotOrderId) {
        this.allotOrderId = allotOrderId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Integer getAllotCount() {
        return allotCount;
    }

    public void setAllotCount(Integer allotCount) {
        this.allotCount = allotCount;
    }

    public Integer getAllotInCount() {
        return allotInCount;
    }

    public void setAllotInCount(Integer allotInCount) {
        this.allotInCount = allotInCount;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "AllotOrderItem{" +
                "allotOrderItemId=" + allotOrderItemId +
                ", allotOrderId=" + allotOrderId +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", allotCount=" + allotCount +
                ", allotInCount=" + allotInCount +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
